/* hello.c: Uses a PushButton to display              */
/* "Hello World" on the screen                        */
/* (or whatever title is set in the resource file).   */
/* Exits when button is pressed.                      */
/* Example program for the xmtutor application.       */
/* Author: Jan Borchers 2/93.                         */


#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xlib.h>
#include <Xm/Xm.h>
#include <Xm/PushB.h>


void ExitCB (Widget w, caddr_t client_data, XmAnyCallbackStruct *call_data)

{
  XtCloseDisplay (XtDisplay (w));
  exit (0);
}


void main(int argc, char *argv[])

{
  Widget toplevel, pushbutton;

  toplevel = XtInitialize (argv [0], "Hello", NULL, 0, &argc, argv);
  pushbutton = XmCreatePushButton (toplevel, "pushbutton", NULL, 0);
  XtManageChild (pushbutton);

  XtAddCallback (pushbutton, XmNactivateCallback, (void *) ExitCB, NULL);
  
  XtRealizeWidget (toplevel);
  XtMainLoop ();
}
